Bug 82066 - up2date fails with RPM error
up2date fails with RPM error
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Adrian Likins
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-16 20:57 EST by Ron Hauptfleisch
Modified: 2007-04-18 12:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-17 18:36:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ron Hauptfleisch 2003-01-16 20:57:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
I get the following error when trying to run up2date:
---------------------------------------------------------------------------------------------------------
[root@arrakis root]# up2date
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 20, in ?
    from up2date_client import rpcServer
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 10, in ?
    import up2dateAuth
  File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 6, in ?
    import rpmSource
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 11, in ?
    import up2dateUtils
  File "/usr/share/rhn/up2date_client/up2dateUtils.py", line 15, in ?
    import rpmUtils
  File "/usr/share/rhn/up2date_client/rpmUtils.py", line 261, in ?
    rpm_version = getRpmVersion()
  File "/usr/share/rhn/up2date_client/rpmUtils.py", line 257, in getRpmVersion
    raise up2dateErrors.RpmError("Couldn't determine what version of rpm you are
running.\nIf you get this error, try running \n\n\t\trpm --rebuilddb\n\n")
up2date_client.up2dateErrors.RpmError: RPM error.  The message was:
Couldn't determine what version of rpm you are running.
If you get this error, try running

                rpm --rebuilddb
-------------------------------------------------------------------------------------------------------------
Following the instructions, I run rpm --rebuilddb
---------------------------------------------------------------------------------------------------------------
[root@arrakis root]# rpm --rebuilddb
[root@arrakis root]#
----------------------------------------------------------------------------------------------------------
I then try up2date again and get the same result as before

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run up2date
2.
3.
    

Actual Results:  See Description

Additional info:
Comment 1 Adrian Likins 2003-01-17 17:51:07 EST
Can you send me the output of:

    rpm -q --what-provides redhat-release

and:

   rpm -q redhat-release


Comment 2 Adrian Likins 2003-01-17 17:56:54 EST
er, make that:

    rpm -q --whatprovides redhat-release

(ie, no dash in whatprovides)
Comment 3 Ron Hauptfleisch 2003-01-17 18:36:28 EST
Please close this.  I reinstalled Redhat 8 to resolve the problem.  I cannot,
therefore, provide the additional information requested.  Sorry.

Note You need to log in before you can comment on or make changes to this bug.